## AgsFrequencyAliaseUtil

AgsFrequencyAliaseUtil — frequency aliase util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFrequencyAliaseUtil * | ags_frequency_aliase_util_alloc ()
gpointer | ags_frequency_aliase_util_copy ()
void | ags_frequency_aliase_util_free ()
gpointer | ags_frequency_aliase_util_get_destination ()
void | ags_frequency_aliase_util_set_destination ()
guint | ags_frequency_aliase_util_get_destination_stride ()
void | ags_frequency_aliase_util_set_destination_stride ()
gpointer | ags_frequency_aliase_util_get_source ()
void | ags_frequency_aliase_util_set_source ()
guint | ags_frequency_aliase_util_get_source_stride ()
void | ags_frequency_aliase_util_set_source_stride ()
gpointer | ags_frequency_aliase_util_get_phase_shifted_source ()
void | ags_frequency_aliase_util_set_phase_shifted_source ()
guint | ags_frequency_aliase_util_get_phase_shifted_source_stride ()
void | ags_frequency_aliase_util_set_phase_shifted_source_stride ()
guint | ags_frequency_aliase_util_get_buffer_length ()
void | ags_frequency_aliase_util_set_buffer_length ()
AgsSoundcardFormat | ags_frequency_aliase_util_get_format ()
void | ags_frequency_aliase_util_set_format ()
void | ags_frequency_aliase_util_process_s8 ()
void | ags_frequency_aliase_util_process_s16 ()
void | ags_frequency_aliase_util_process_s24 ()
void | ags_frequency_aliase_util_process_s32 ()
void | ags_frequency_aliase_util_process_s64 ()
void | ags_frequency_aliase_util_process_float ()
void | ags_frequency_aliase_util_process_double ()
void | ags_frequency_aliase_util_process_complex ()
void | ags_frequency_aliase_util_process ()

## Types and Values

#define | AGS_FREQUENCY_ALIASE_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsFrequencyAliaseUtil

## Includes

    #include <ags/audio/ags_frequency_aliase_util.h>

## Description

Utility functions to compute frequency aliase.

## Functions

### ags_frequency_aliase_util_alloc ()

    AgsFrequencyAliaseUtil *
    ags_frequency_aliase_util_alloc ();

Allocate AgsFrequencyAliaseUtil

#### Returns

a new AgsFrequencyAliaseUtil

Since: 4.0.0

### ags_frequency_aliase_util_copy ()

    gpointer
    ags_frequency_aliase_util_copy (AgsFrequencyAliaseUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsFrequencyAliaseUtil |

#### Returns

a pointer of the new AgsFrequencyAliaseUtil

Since: 4.0.0

### ags_frequency_aliase_util_free ()

    void
    ags_frequency_aliase_util_free (AgsFrequencyAliaseUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_get_destination ()

    gpointer
    ags_frequency_aliase_util_get_destination
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get destination buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the destination buffer

Since: 4.0.0

### ags_frequency_aliase_util_set_destination ()

    void
    ags_frequency_aliase_util_set_destination
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    gpointer destination);

Set `destination` buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
destination | the destination buffer. | [transfer none]

Since: 4.0.0

### ags_frequency_aliase_util_get_destination_stride ()

    guint
    ags_frequency_aliase_util_get_destination_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get destination stride of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the destination buffer stride

Since: 4.0.0

### ags_frequency_aliase_util_set_destination_stride ()

    void
    ags_frequency_aliase_util_set_destination_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    guint destination_stride);

Set `destination` stride of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
destination_stride | the destination buffer stride |

Since: 4.0.0

### ags_frequency_aliase_util_get_source ()

    gpointer
    ags_frequency_aliase_util_get_source (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get source buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the source buffer

Since: 4.0.0

### ags_frequency_aliase_util_set_source ()

    void
    ags_frequency_aliase_util_set_source (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                          gpointer source);

Set `source` buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
source | the source buffer. | [transfer none]

Since: 4.0.0

### ags_frequency_aliase_util_get_source_stride ()

    guint
    ags_frequency_aliase_util_get_source_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get source stride of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the source buffer stride

Since: 4.0.0

### ags_frequency_aliase_util_set_source_stride ()

    void
    ags_frequency_aliase_util_set_source_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    guint source_stride);

Set `source` stride of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
source_stride | the source buffer stride |

Since: 4.0.0

### ags_frequency_aliase_util_get_phase_shifted_source ()

    gpointer
    ags_frequency_aliase_util_get_phase_shifted_source
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get phase shifted source buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the phase shifted source buffer

Since: 4.0.0

### ags_frequency_aliase_util_set_phase_shifted_source ()

    void
    ags_frequency_aliase_util_set_phase_shifted_source
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    gpointer phase_shifted_source);

Set `phase_shifted_source` buffer of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
phase_shifted_source | the phase shifted source buffer |

Since: 4.0.0

### ags_frequency_aliase_util_get_phase_shifted_source_stride ()

    guint
    ags_frequency_aliase_util_get_phase_shifted_source_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get phase shifted source stride of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the phase shifted source stride

Since: 9.0.0

### ags_frequency_aliase_util_set_phase_shifted_source_stride ()

    void
    ags_frequency_aliase_util_set_phase_shifted_source_stride
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    guint phase_shifted_source_stride);

Set `phase_shifted_source_stride` of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
phase_shifted_source_stride | the phase shifted source stride |

Since: 9.0.0

### ags_frequency_aliase_util_get_buffer_length ()

    guint
    ags_frequency_aliase_util_get_buffer_length
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get buffer length of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the buffer length

Since: 4.0.0

### ags_frequency_aliase_util_set_buffer_length ()

    void
    ags_frequency_aliase_util_set_buffer_length
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                    guint buffer_length);

Set `buffer_length` of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
buffer_length | the buffer length |

Since: 4.0.0

### ags_frequency_aliase_util_get_format ()

    AgsSoundcardFormat
    ags_frequency_aliase_util_get_format (AgsFrequencyAliaseUtil *frequency_aliase_util);

Get format of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

#### Returns

the format

Since: 4.0.0

### ags_frequency_aliase_util_set_format ()

    void
    ags_frequency_aliase_util_set_format (AgsFrequencyAliaseUtil *frequency_aliase_util,
                                          AgsSoundcardFormat format);

Set `format` of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |
format | the format |

Since: 4.0.0

### ags_frequency_aliase_util_process_s8 ()

    void
    ags_frequency_aliase_util_process_s8 (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of signed 8 bit data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_s16 ()

    void
    ags_frequency_aliase_util_process_s16 (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of signed 16 bit data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_s24 ()

    void
    ags_frequency_aliase_util_process_s24 (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of signed 24 bit data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_s32 ()

    void
    ags_frequency_aliase_util_process_s32 (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of signed 32 bit data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_s64 ()

    void
    ags_frequency_aliase_util_process_s64 (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of signed 64 bit data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_float ()

    void
    ags_frequency_aliase_util_process_float
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of single precision floating point data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_double ()

    void
    ags_frequency_aliase_util_process_double
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of double precision floating point data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process_complex ()

    void
    ags_frequency_aliase_util_process_complex
                                   (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` of complex floating point data.

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

### ags_frequency_aliase_util_process ()

    void
    ags_frequency_aliase_util_process (AgsFrequencyAliaseUtil *frequency_aliase_util);

Process phase shift of `frequency_aliase_util` .

#### Parameters

frequency_aliase_util | the AgsFrequencyAliaseUtil |

Since: 4.0.0

## Types and Values

### AGS_FREQUENCY_ALIASE_UTIL_INITIALIZER

    #define             AGS_FREQUENCY_ALIASE_UTIL_INITIALIZER